Listar los tipos de registro
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"entity": "<string>",
"module": "core",
"fields": [
{
"key": "<string>",
"type": "text",
"names": [
"<string>"
],
"aliases": [
"<string>"
],
"group": "<string>",
"filter": {
"ops": [
"eq"
],
"options": [
"<string>"
]
},
"requiredToCreate": true,
"cleanable": true,
"exportable": true,
"decodeHtml": true
}
],
"systemFields": [
{
"key": "<string>",
"type": "text",
"names": [
"<string>"
],
"aliases": [
"<string>"
],
"group": "<string>",
"filter": {
"ops": [
"eq"
],
"options": [
"<string>"
]
},
"requiredToCreate": true,
"cleanable": true,
"exportable": true,
"decodeHtml": true
}
],
"modes": [
"create"
],
"matchTargets": [
{
"key": "<string>",
"fields": [
"<string>"
]
}
],
"options": [
{
"key": "<string>",
"group": "<string>",
"type": "values",
"values": [
"<string>"
],
"default": "<string>"
}
],
"can": {
"import": true,
"export": true,
"template": true
}
}
],
"nextCursor": "<string>",
"total": 123
}{
"type": "<string>",
"status": 123,
"code": "core.bad_request",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Tipos de registro
Listar los tipos de registro
Lista lo que quien llama puede importar o exportar, con los campos y opciones de cada tipo.
GET
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
dataio
/
adapters
Listar los tipos de registro
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/dataio/adapters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"entity": "<string>",
"module": "core",
"fields": [
{
"key": "<string>",
"type": "text",
"names": [
"<string>"
],
"aliases": [
"<string>"
],
"group": "<string>",
"filter": {
"ops": [
"eq"
],
"options": [
"<string>"
]
},
"requiredToCreate": true,
"cleanable": true,
"exportable": true,
"decodeHtml": true
}
],
"systemFields": [
{
"key": "<string>",
"type": "text",
"names": [
"<string>"
],
"aliases": [
"<string>"
],
"group": "<string>",
"filter": {
"ops": [
"eq"
],
"options": [
"<string>"
]
},
"requiredToCreate": true,
"cleanable": true,
"exportable": true,
"decodeHtml": true
}
],
"modes": [
"create"
],
"matchTargets": [
{
"key": "<string>",
"fields": [
"<string>"
]
}
],
"options": [
{
"key": "<string>",
"group": "<string>",
"type": "values",
"values": [
"<string>"
],
"default": "<string>"
}
],
"can": {
"import": true,
"export": true,
"template": true
}
}
],
"nextCursor": "<string>",
"total": 123
}{
"type": "<string>",
"status": 123,
"code": "core.bad_request",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Autorizaciones
¿Esta página le ayudó?